GO-2022-0535

Source
https://storage.googleapis.com/go-vulndb/ID/GO-2022-0535.json
Aliases
  • CVE-2020-0601
Published
2022-08-01T22:21:17Z
Modified
2022-08-19T22:21:47Z
Details

A Windows vulnerability allows attackers to spoof valid certificate chains when the system root store is in use.

A workaround is present in Go 1.12.6+ and Go 1.13.7+, but affected users should additionally install the Windows security update to protect their system.

See https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2020-0601 for details on the Windows vulnerability.

References

Affected packages

Go / stdlib

stdlib

Affected ranges

Type
SEMVER
Events
Introduced
0
Fixed
1.12.16
Introduced
1.13.0
Fixed
1.13.7

Affected versions

Ecosystem specific

{
    "imports": [
        {
            "symbols": [
                "Certificate.systemVerify"
            ],
            "path": "crypto/x509",
            "goos": [
                "windows"
            ]
        }
    ]
}

Database specific

{
    "url": "https://pkg.go.dev/vuln/GO-2022-0535"
}